httpd-cvs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From j..@apache.org
Subject cvs commit: apache-1.3/src Configuration.tmpl Configure
Date Mon, 08 Oct 2001 16:04:33 GMT
jim         01/10/08 09:04:33

  Modified:    src      Configuration.tmpl Configure
  Log:
  Change meaning of yes/no re Greg's email
  
  Revision  Changes    Path
  1.123     +3 -3      apache-1.3/src/Configuration.tmpl
  
  Index: Configuration.tmpl
  ===================================================================
  RCS file: /home/cvs/apache-1.3/src/Configuration.tmpl,v
  retrieving revision 1.122
  retrieving revision 1.123
  diff -u -r1.122 -r1.123
  --- Configuration.tmpl	2001/10/08 14:29:30	1.122
  +++ Configuration.tmpl	2001/10/08 16:04:33	1.123
  @@ -163,9 +163,9 @@
   # EXPAT:
   #  Apache requires an Expat package and includes James Clark's Expat
   #  package (expat-lite) with the distribution. This determines
  -#  whether you want to include the system's Expat library ('yes'),
  -#  expat-lite ('no') or prefer the system Expat if available but choose
  -#  expat-lite if not ('default'). Note that if set to 'yes' and
  +#  whether you want to include the bundled expat-lite library ('yes'),
  +#  the system expat ('no') or prefer the system Expat if available but
  +#  choose expat-lite if not ('default'). Note that if set to 'no' and
   #  libexpat.a cannot be found, the build will fail.
   #
   
  
  
  
  1.442     +5 -5      apache-1.3/src/Configure
  
  Index: Configure
  ===================================================================
  RCS file: /home/cvs/apache-1.3/src/Configure,v
  retrieving revision 1.441
  retrieving revision 1.442
  diff -u -r1.441 -r1.442
  --- Configure	2001/10/08 15:54:38	1.441
  +++ Configure	2001/10/08 16:04:33	1.442
  @@ -1853,17 +1853,17 @@
   fi
   
   ####################################################################
  -## Add in the Expat library. Choose whether we want the system's
  -## version ('yes'), our version (expat-lite) ('no') or for Configure
  +## Add in the Expat(-lite) library. Choose whether we want the expat-lite
  +## version ('yes'), the system's expat ('no') or for Configure
   ## to choose for us ('default' - system is prefered if available).
   ##
   
  -if ./helpers/TestCompile lib expat && [ "x$RULE_EXPAT" != "xno" ]; then
  +if ./helpers/TestCompile lib expat && [ "x$RULE_EXPAT" != "xyes" ]; then
           echo " + using system Expat"
   	LIBS="$LIBS -lexpat"
   else
  -    if [ "x$RULE_EXPAT" = "xyes" ]; then
  -        echo "ERROR: RULE_EXPAT set to \"yes\" but is not available."
  +    if [ "x$RULE_EXPAT" = "xno" ]; then
  +        echo "ERROR: RULE_EXPAT set to \"no\" but system expat is not available."
           exit 1
       fi
       if [ ! -d ./lib/expat-lite/ ]; then
  
  
  

Mime
View raw message